#
# DNS Balance
#
# 
#
# By: YOKOTA Hiroshi <yokota@netlab.is.tsukuba.ac.jp>

# $Id: log_writer.rb,v 1.4 2002/09/09 20:37:30 elca Exp $

require "util.rb"

# 
def logger(mutex, addr, status, name, namespace, answers)
  out = sprintf("%s:%s:%s:%s",
		ipstr_to_str(addr),
		status,
		name,
		namespace)

  if answers == nil || answers == []
    out += ":"
  else
    s = []
    answers.each {
      |i|
      s.push(ipstr_to_str(i))
    }
    out += sprintf(":%s", s.join(" "))
  end
  mutex.log(out)
end

# end
